// Mouse pointer
// Pixel perfect (so 4 different sprtites in mode 1)

// (c) SagaDS

#include <cpctelera.h>

extern void initPointer ();        // Center of screen , first sprite
extern void togglePointerSpeed (); // Slow / Fast
extern void initPointerSpeed();    // Set to slow 

extern void clearPointerScreen (); // Put back the saved pointer background
extern void savePointerScreen ();  // Save pointer background 
extern void printPointerScreen (); // Display pointer according to current sprite (use savePointerScreen before)
extern void movePointer (i8 dx, i8 dy); // Moves the pointer in dx,dy direction

// Transforms pointer coord in grid coord (offset on screen is taken into account)
// Return 0 if not inside play grid
extern u8 getGridFromPointer (u8 *gridX, u8 *gridY);  
