// All strings are placed here at the end by using z_ prefix
// Warning, adress of strings must be above 0x4000 for cpctelera drawstring function
// to allow the switch of ROM area in 0x0000 - 0x4000 while accessing strings 

#include <cpctelera.h>

// Static strings inside code area
extern const char strOn   [5];
extern const char strOff  [5];
extern const char strMenu [5];

extern const char sSUCCESS [8];
extern const char sFAILED  [8];

extern const char gKeys   [81]; 
extern const char gHint   [81];
extern const char gCopy   [81];

extern const char menu_game [11]; 
extern const char menu_auto [14]; 
extern const char menu_qmrk [12]; 
extern const char menu_musc [17]; 
extern const char menu_strt [10]; 
extern const char menu_hisc [11]; 
extern const char menu_hstb [11];
extern const char menu_spac [11];

extern const char dispHiscoreStr [33];
extern const char hisc_rstrt [39];
extern const char sHSFile [12];

// Dynamic strings inside data area
extern char strBuffer  [16];     // String buffer for various values to display

// HiScore structure declared here because of strings to print
typedef struct s_hiscore t_hiscore  ;
struct  s_hiscore  
{
    u16 time;
    char trigram [4];
};
extern t_hiscore hiscore [4];
